Bug 27338 - Use current window as fallback, if no opener window available during importing record from Z39.50
Summary: Use current window as fallback, if no opener window available during importin...
Status: BLOCKED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Josef Moravec
QA Contact: Testopia
URL:
Keywords:
Depends on: 23302
Blocks:
  Show dependency treegraph
 
Reported: 2021-01-05 08:28 UTC by Josef Moravec
Modified: 2021-01-22 08:17 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 27338: Use current window as fallback, if no opener window available during importing record from Z39.50 (2.14 KB, patch)
2021-01-05 08:43 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 27338: Use current window as fallback, if no opener window available during importing record from Z39.50 (2.18 KB, patch)
2021-01-07 20:47 UTC, Michal Denar
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Moravec 2021-01-05 08:28:03 UTC

    
Comment 1 Josef Moravec 2021-01-05 08:43:46 UTC
Created attachment 114853 [details] [review]
Bug 27338: Use current window as fallback, if no opener window available during importing record from Z39.50

Test plan:
1) Apply the patch
2) Confirm there is no regression_
    2a) Go to cataloguing (basic editor)
    2b) Click on "New from Z39.50/SRU" or some dropdown variant for particular framework
    2c) Perform a search and import a record
    2f) Record is imported into editor and search window is closed
3) Open new browser tab/window and go direct to Z39.50 search url:
    /cgi-bin/koha/cataloguing/z3950_search.pl?biblionumber=&frameworkcode=BKS
4) Perform a search and import a record. It should be imported into the current tab/window
Comment 2 Michal Denar 2021-01-07 20:47:45 UTC
Created attachment 114944 [details] [review]
Bug 27338: Use current window as fallback, if no opener window available during importing record from Z39.50

Test plan:
1) Apply the patch
2) Confirm there is no regression_
    2a) Go to cataloguing (basic editor)
    2b) Click on "New from Z39.50/SRU" or some dropdown variant for particular framework
    2c) Perform a search and import a record
    2f) Record is imported into editor and search window is closed
3) Open new browser tab/window and go direct to Z39.50 search url:
    /cgi-bin/koha/cataloguing/z3950_search.pl?biblionumber=&frameworkcode=BKS
4) Perform a search and import a record. It should be imported into the current tab/window

Signed-off-by: Michal Denar <black23@gmail.com>
Comment 3 Josef Moravec 2021-01-22 08:17:25 UTC
As bug 23302 is PQA, I will rework this on top of it